SSTableSimpleWriter (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.io.sstable

## Class SSTableSimpleWriter

- java.lang.Object
- - org.apache.cassandra.io.sstable.AbstractSSTableSimpleWriter
  - - org.apache.cassandra.io.sstable.SSTableSimpleWriter

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class SSTableSimpleWriter
      extends AbstractSSTableSimpleWriter

  A SSTable writer that assumes rows are in (partitioner) sorted order. Contrarily to SSTableSimpleUnsortedWriter, this writer does not buffer anything into memory, however it assumes that row are added in sorted order (an exception will be thrown otherwise), which for the RandomPartitioner means that rows should be added by increasing md5 of the row key. This is rarely possible and SSTableSimpleUnsortedWriter should most of the time be prefered.
  See Also:
    `AbstractSSTableSimpleWriter`

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.io.sstable.AbstractSSTableSimpleWriter

      `columnFamily, counterid, currentKey, currentSuperColumn, directory, metadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableSimpleWriter(java.io.File directory, CFMetaData metadata, IPartitioner partitioner)`
    `SSTableSimpleWriter(java.io.File directory, IPartitioner partitioner, java.lang.String keyspace, java.lang.String columnFamily, AbstractType<?> comparator, AbstractType<?> subComparator)` Create a new writer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected ColumnFamily` | `getColumnFamily()`
    `protected void` | `writeRow(DecoratedKey key, ColumnFamily columnFamily)`

    - ### Methods inherited from class org.apache.cassandra.io.sstable.AbstractSSTableSimpleWriter

      `addColumn, addColumn, addCounterColumn, addExpiringColumn, getWriter, makeFilename, newRow, newSuperColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSTableSimpleWriter

          public SSTableSimpleWriter(java.io.File directory,
                             IPartitioner partitioner,
                             java.lang.String keyspace,
                             java.lang.String columnFamily,
                             AbstractType<?> comparator,
                             AbstractType<?> subComparator)

      Create a new writer.
      Parameters:
        `directory` - the directory where to write the sstable
        `partitioner` - the partitioner
        `keyspace` - the keyspace name
        `columnFamily` - the column family name
        `comparator` - the column family comparator
        `subComparator` - the column family subComparator or null if not a Super column family.

    - #### SSTableSimpleWriter

          public SSTableSimpleWriter(java.io.File directory,
                             CFMetaData metadata,
                             IPartitioner partitioner)

  - ### Method Detail

    - #### close

          public void close()

    - #### writeRow

          protected void writeRow(DecoratedKey key,
                      ColumnFamily columnFamily)

      Specified by:
        `writeRow` in class `AbstractSSTableSimpleWriter`

    - #### getColumnFamily

          protected ColumnFamily getColumnFamily()

      Specified by:
        `getColumnFamily` in class `AbstractSSTableSimpleWriter`

Copyright © 2014 The Apache Software Foundation